<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=39;

include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		

if (!empty($id) && isset($id))
{
	$id= $_POST["id"];

	$nombre = $_POST["nombre"];
	$rut = $_POST["rut"];
	$ubicacion = $_POST["ubicacion"];
	$telefono = $_POST["telefono"];
	
	if ($id!=0)
	{
		$psql = "UPDATE vendedor SET nombres = '$nombre', rut = '$rut', ubicacion = '$ubicacion', telefono = '$telefono' WHERE id=$id";
		$consulta = mysql_query($psql,$enlace);
	?>
		<script language="javascript" type="text/javascript">
		alert ("Vendedor <?=$nombre.'\nActualizado Con Exito!';?>");
		parent.location.href = '';
		</script>
	<?
	}
	else
	{
		$cont=0;
		$sql_busca = "SELECT * FROM vendedor WHERE nombres = '$nombre'";
		$res_busca =  mysql_query($sql_busca, $enlace);		
		while (mysql_fetch_object ($res_busca))
			{
			$cont+=1;
			}
		
		if ($cont==0)
		{
			$psql = "INSERT INTO vendedor (nombres, rut, ubicacion, telefono) VALUES ('$nombre', '$rut', '$ubicacion', '$telefono')";
			$consulta = mysql_query($psql,$enlace);
		?>
			<script language="javascript" type="text/javascript">
			alert ("Vendedor <?=$nombre.'\nCreado Con Exito!';?>");
			parent.location.href = '';
			</script>
		<?
		} else {
		?>
			<script language="javascript" type="text/javascript">
			alert ("El vendedor <?=$nombre.'\nya existe!';?>");
			parent.location.href = '';
			</script>
		<?
		} 
	}
}
?>